import React, {Fragment} from "react";
import { Switch, Route } from "react-router-dom";

import App from "./container/App";
import Header from './components/Header'
import Form from './components/Auth/index'
import RegistrForm from './components/Auth/registration'

export default () => (
    <Fragment>
        <Header/>
	        <Switch>
                    <Route path="/" exact component={App} />
                    <Route path="/auth" exact component={Form} />
                    <Route path="/registration" exact component={RegistrForm} />
	        </Switch>
    </Fragment>
);