import React from "react";
import { reduxForm, Field } from "redux-form";
import  authValidate  from "../../utils/validate";

const Form = props => {
  const { handleSubmit,submitting } = props
    return (
      <form className="auth__form" onSubmit={handleSubmit}>
        <label>Login:</label>
        <div>
          <Field
             name="email"
             component="input"
             type="email" 
             label="E-mail:"
             placeholder="example@email.com"

          />
        </div>
        <label>Password:</label>
        <div>  
          <Field
             name="password"
             component="input" 
             type="password" 
              label="Password:" 
             placeholder ="password"  
          />
        </div>
        <button className="auth__submit-button">Submit</button>
      </form>
    );
}

export default reduxForm({ form: "authForm", validate: authValidate })(Form);