import React, {Component, Fragment} from 'react';
import { Layout, Menu, Icon } from 'antd';

import Category from './DrawCategory'
  
const { Sider } = Layout;
const axios = require('axios');

class LeftMenu extends Component {
    state = {
        collapsed: false,
    };

    onCollapse = collapsed => {
        this.setState({ collapsed });
    }

    onChange = ()=>{
        axios.post(
            'http://127.0.0.1:2000/api/categories',
            {
                "title": "Авто",
                "description": "Током бахнет!",
                "parentId": 0
            }
            
        )
        
        .then(function (response) { console.log(response) })
        .catch((err)=>console.log(err))
    }
    
    // onChange1 = ()=>{
    //     axios.get('http://127.0.0.1:2000/api/staffs')
    //     .then(function (response) { console.log(response.data) })
    // }
    
    render() {
        return (
            <div>
                <Layout style={{ minHeight: '100vh' }}>
                    <Sider collapsible
                        collapsed={this.state.collapsed}
                        onCollapse={this.onCollapse}
                    >  
                        <Category />   
                    </Sider>
                </Layout>
            </div>
        );
    }
}

export default LeftMenu;
